import { SvelteComponent } from "svelte";
export interface ArticleJsonLdProps extends JsonLdProps {
    type?: 'Article' | 'BlogPosting' | 'NewsArticle' | 'Blog';
    url: string;
    title: string;
    images: ReadonlyArray<string>;
    datePublished: string;
    dateModified?: string;
    authorName: string | string[] | ArticleAuthor | ArticleAuthor[];
    description: string;
    publisherName?: string;
    publisherLogo?: string;
    isAccessibleForFree?: boolean;
}
import type { JsonLdProps } from './jsonld.js';
import type { ArticleAuthor } from '../types.js';
declare const __propDef: {
    props: {
        type?: ArticleJsonLdProps['type'];
        keyOverride: ArticleJsonLdProps['keyOverride'];
        url: ArticleJsonLdProps['url'];
        title: ArticleJsonLdProps['title'];
        images: ArticleJsonLdProps['images'];
        datePublished: ArticleJsonLdProps['datePublished'];
        dateModified?: ArticleJsonLdProps['dateModified'];
        authorName: ArticleJsonLdProps['authorName'];
        description: ArticleJsonLdProps['description'];
        publisherName?: ArticleJsonLdProps['publisherName'];
        publisherLogo?: ArticleJsonLdProps['publisherLogo'];
        isAccessibleForFree?: ArticleJsonLdProps['isAccessibleForFree'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type ArticleProps = typeof __propDef.props;
export type ArticleEvents = typeof __propDef.events;
export type ArticleSlots = typeof __propDef.slots;
export default class Article extends SvelteComponent<ArticleProps, ArticleEvents, ArticleSlots> {
}
export {};
