import { SvelteComponent } from "svelte";
type Director = {
    name: string;
};
interface DefaultDataProps {
    url: string;
}
interface ExtendedCourseJsonLdProps extends DefaultDataProps, CourseJsonLdProps {
}
interface ExtendedRecipeJsonLdProps extends DefaultDataProps, RecipeJsonLdProps {
}
export interface MovieJsonLdProps {
    name: string;
    url: string;
    image: string;
    dateCreated?: string;
    director?: Director | Director[];
    review?: Review;
    aggregateRating?: AggregateRating;
}
export interface CarouselJsonLdProps extends JsonLdProps {
    ofType: 'default' | 'movie' | 'recipe' | 'course';
    data: any | DefaultDataProps[] | MovieJsonLdProps[] | ExtendedCourseJsonLdProps[] | ExtendedRecipeJsonLdProps[];
}
import type { JsonLdProps } from './jsonld.js';
import type { CourseJsonLdProps, RecipeJsonLdProps } from '../index.js';
import type { Review, AggregateRating } from '../types.js';
declare const __propDef: {
    props: {
        keyOverride?: CarouselJsonLdProps['keyOverride'];
        data: CarouselJsonLdProps['data'];
        ofType: CarouselJsonLdProps['ofType'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type CarouselProps = typeof __propDef.props;
export type CarouselEvents = typeof __propDef.events;
export type CarouselSlots = typeof __propDef.slots;
export default class Carousel extends SvelteComponent<CarouselProps, CarouselEvents, CarouselSlots> {
}
export {};
