import { SvelteComponent } from "svelte";
export interface EventJsonLdProps extends JsonLdProps {
    name: string;
    startDate: string;
    endDate: string;
    location: Location;
    url?: string;
    description?: string;
    images?: string[];
    offers?: Offers | Offers[];
    aggregateOffer?: AggregateOffer;
    performers?: Performer | Performer[];
    organizer?: Organizer;
    eventStatus?: EventStatus;
    eventAttendanceMode?: EventAttendanceMode;
}
import type { JsonLdProps } from './jsonld.js';
import type { Location, AggregateOffer, Offers, Performer, Organizer, EventStatus, EventAttendanceMode } from '../types.js';
declare const __propDef: {
    props: {
        keyOverride?: EventJsonLdProps['keyOverride'];
        name: EventJsonLdProps['name'];
        startDate: EventJsonLdProps['startDate'];
        endDate: EventJsonLdProps['endDate'];
        location: EventJsonLdProps['location'];
        url?: EventJsonLdProps['url'];
        description?: EventJsonLdProps['description'];
        images?: EventJsonLdProps['images'];
        offers?: EventJsonLdProps['offers'];
        aggregateOffer?: EventJsonLdProps['aggregateOffer'];
        performers?: EventJsonLdProps['performers'];
        eventStatus?: EventJsonLdProps['eventStatus'];
        eventAttendanceMode?: EventJsonLdProps['eventAttendanceMode'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type EventProps = typeof __propDef.props;
export type EventEvents = typeof __propDef.events;
export type EventSlots = typeof __propDef.slots;
export default class Event extends SvelteComponent<EventProps, EventEvents, EventSlots> {
}
export {};
